Subject: Re: bug#51518: native-compilation on OpenBSD

From: Han Boetes <[email-masked]>
Date: Sat, 30 Oct 2021 21:08:51 +0200

Eli Zaretskii wrote:
> It looks like something is wrong with your installation of libgccjit.
> I suggest to report this to the maintainers of the OpenBSD libgccjit
> package.

OK, thanks for the tip. I recompiled gcc with the required options to
add gccjit, so I think I'll report the bug with the gcc team.

--- a/lang/gcc/11/Makefile
+++ b/lang/gcc/11/Makefile
@@ -94,7 +94,7 @@ MASTER_SITES0 =       https://distfiles.stumpf.co/ \
                https://spacehopper.org/mirrors/ \
                https://distfiles.bsdfrog.org/
 
-LANGS = c,c++,fortran,objc
+LANGS = c,c++,fortran,objc,jit
 .if ${BUILD_PACKAGES:M-ada}
 LANGS := ${LANGS},ada
 DISTFILES += ${ADASTRAP-${MACHINE_ARCH}}:0
@@ -158,6 +158,7 @@ CONFIGURE_ARGS += \
        --disable-libstdcxx-pch \
        --enable-default-ssp \
        --enable-default-pie \
+       --enable-host-shared \
        --without-isl